Bug 488940 - kernel BUG/X hangs in radeon_read_ring_rptr
kernel BUG/X hangs in radeon_read_ring_rptr
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
: 510477 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 05:52 EST by Nigel Jones
Modified: 2009-11-18 08:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:26:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file from last boot (which ended in crash) (97.83 KB, text/plain)
2009-03-06 05:53 EST, Nigel Jones
no flags Details
messages log (624.09 KB, text/plain)
2009-07-27 12:00 EDT, Nivag
no flags Details
Xorg.0.log (79.67 KB, text/plain)
2009-07-27 12:04 EDT, Nivag
no flags Details
messages log (908.78 KB, text/plain)
2009-07-27 12:37 EDT, Nivag
no flags Details

  None (edit)
Description Nigel Jones 2009-03-06 05:52:42 EST
Description of problem:

kernel BUG in radeon_read_ring_rptr hit when presentation is opened (presumably using some HW acceleration or OpenGL support in openoffice) whilst compiz is in use.

Firefox, other apps don't seem to cause the issue.

In prior builds (possibly with compiz off since it didn't work) no hang occurred but today is the first time I've seen it and now getting on every boot, so it's probably very recent -- quite likely kernel 197.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.11.0-3.fc11.i586
kernel-PAE-2.6.29-0.197.rc7.fc11.i686
xorg-x11-server-Xorg-1.6.0-5.fc11.i586
openoffice.org-impress-3.1.0-3.3.fc11.i586

Hardware
 Thinkpad T60p
 core duo 2.16Ghz
 

How reproducible:
Every time

Steps to Reproduce:
1.Using gnome desktop
2.compiz effects enabled
3. radeon driver in use
4.open up openoffice impress
5.X hangs

  
Actual results:
system appears to hang

Expected results:
Systems works normally


Additional info:
From kernel log:
Mar  6 10:25:39 snowdon kernel: BUG: unable to handle kernel paging request at 6b6b6b6b
Mar  6 10:25:39 snowdon kernel: IP: [<f8153078>] radeon_read_ring_rptr+0x38/0x3c [radeon]
Mar  6 10:25:39 snowdon kernel: *pdpt = 000000002d79e001 *pde = 0000000000000000 
Mar  6 10:25:39 snowdon kernel: Oops: 0000 [#1] SMP 
Mar  6 10:25:39 snowdon kernel: last sysfs file: /sys/devices/virtual/net/wc0/statistics/collisions
Mar  6 10:25:39 snowdon kernel: Modules linked in: aes_i586 aes_generic fuse tun bridge stp llc bnep sco l2cap bluetooth autofs4 ipv6 nf_co
nntrack_irc nf_conntrack_ftp iptable_nat nf_nat cpufreq_ondemand acpi_cpufreq dm_multipath kvm_intel kvm uinput snd_hda_codec_analog snd_hd
a_intel snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq arc4 snd_seq_device ecb thinkpad_acpi snd_pcm_oss rfki
ll snd_mixer_oss hwmon snd_pcm ath5k snd_timer nsc_ircc yenta_socket iTCO_wdt pcspkr rsrc_nonstatic iTCO_vendor_support joydev i2c_i801 mac
80211 snd irda soundcore video e1000e output cfg80211 crc_ccitt snd_page_alloc ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [last unloa
ded: microcode]
Mar  6 10:25:39 snowdon kernel:
Mar  6 10:25:39 snowdon kernel: Pid: 5229, comm: Xorg Not tainted (2.6.29-0.197.rc7.fc11.i686.PAE #1) 200893G
Mar  6 10:25:39 snowdon kernel: EIP: 0060:[<f8153078>] EFLAGS: 00013202 CPU: 1
Mar  6 10:25:39 snowdon kernel: EIP is at radeon_read_ring_rptr+0x38/0x3c [radeon]
Mar  6 10:25:39 snowdon kernel: EAX: f256bcd0 EBX: f5850000 ECX: f9e66000 EDX: 6b6b6b6b
Mar  6 10:25:39 snowdon kernel: ESI: 0000ddaf EDI: ffffffff EBP: f1042d50 ESP: f1042d50
Mar  6 10:25:39 snowdon kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Mar  6 10:25:39 snowdon kernel: Process Xorg (pid: 5229, ti=f1042000 task=f188bf00 task.ti=f1042000)
Mar  6 10:25:39 snowdon kernel: Stack:
Mar  6 10:25:39 snowdon kernel: f1042d58 f81530a2 f1042d68 f8153b9d f5850000 0000dda3 f1042d78 f8156b4a
Mar  6 10:25:39 snowdon kernel: 00000000 f5850000 f1042d8c f8159cee 00000000 e0000000 ffffffff f1042da0
Mar  6 10:25:39 snowdon kernel: f8159e96 f5850000 f5ce6120 f5850000 f1042db8 f815f766 f5850140 f5ce6120
Mar  6 10:25:39 snowdon kernel: Call Trace:
Mar  6 10:25:39 snowdon kernel: [<f81530a2>] ? radeon_get_ring_head+0x26/0x4e [radeon]
Mar  6 10:25:39 snowdon kernel: [<f8153b9d>] ? radeon_commit_ring+0x4b/0x98 [radeon]
Mar  6 10:25:39 snowdon kernel: [<f8156b4a>] ? radeon_do_cp_idle+0xf8/0x106 [radeon]
Mar  6 10:25:39 snowdon kernel: [<f8159cee>] ? radeon_apply_surface_regs+0x23/0xfe [radeon]
Mar  6 10:25:39 snowdon kernel: [<f8159e96>] ? free_surface+0xcd/0xe8 [radeon]
Mar  6 10:25:39 snowdon kernel: [<f815f766>] ? radeon_driver_lastclose+0x3a/0x4f [radeon]
Mar  6 10:25:39 snowdon kernel: [<f80aea34>] ? drm_lastclose+0x3b/0x24f [drm]
Comment 1 Nigel Jones 2009-03-06 05:53:44 EST
Created attachment 334283 [details]
Xorg log file from last boot (which ended in crash)
Comment 2 Nigel Jones 2009-03-12 05:37:34 EDT
I tend to update this system daily.

With updates in the last 24 hours (taking ATI from .5 to .6 - in total ~150 updates) the system now "freezes" just as my desktop is being displayed after login.

Logging into a non-compiz user desktop -- no freeze.

I've tried backing off kernel levels, and pushing forward on the ati driver to .8 but hangs still occur. Also backing off to .5 - again, still hangs.

The freeze/hang is actually "just" the video driver hanging, and reviewing the Xorg.0.log shows it's this same radeon_read_ring_rptr problem

Possibly prompted by xorg server updates?

will try disabling compiz.
Comment 3 Nigel Jones 2009-03-12 05:43:58 EDT
Moving /usr/bin/compiz to compiz.x (quick way of disabling!) now allows the desktop to work normally.

So some regression in the last 24 hours updates in terms of how the X server interacts with ati driver/kernel -- but *not* directly caused by kernel/ati driver updates
Comment 4 Nigel Jones 2009-03-12 11:42:34 EDT
Stack from latest logs follows

Mar 12 09:35:56 snowdon kernel: [drm:radeon_cp_swap] *ERROR* radeon_cp_swap called without lock held, held  0 owner f242f000 f242fe10


** This seems to be the issue

Mar 12 09:35:56 snowdon kernel: BUG: unable to handle kernel paging request at 6b6b6b6b
Mar 12 09:35:56 snowdon kernel: IP: [<f8153078>] radeon_read_ring_rptr+0x38/0x3c [radeon]
Mar 12 09:35:56 snowdon kernel: *pdpt = 000000002f1d7001 *pde = 0000000000000000 
Mar 12 09:35:56 snowdon kernel: Oops: 0000 [#1] SMP 
Mar 12 09:35:56 snowdon kernel: last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/voltage_now
Mar 12 09:35:56 snowdon kernel: Modules linked in: fuse tun bridge stp llc bnep sco l2cap bluetooth autofs4 ipv6 nf_conntrack_irc nf_conntrack_ftp iptable_nat nf_nat cpu
freq_ondemand acpi_cpufreq dm_multipath uinput ppdev thinkpad_acpi snd_hda_codec_analog rfkill snd_hda_intel hwmon snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_
seq_midi_event snd_seq snd_seq_device arc4 ecb iTCO_wdt snd_pcm_oss pcspkr iTCO_vendor_support snd_mixer_oss i2c_i801 ath5k yenta_socket rsrc_nonstatic snd_pcm video nsc
_ircc joydev snd_timer mac80211 parport_pc output parport snd e1000e irda soundcore cfg80211 snd_page_alloc crc_ccitt ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [l
ast unloaded: microcode]
Mar 12 09:35:56 snowdon kernel:
Mar 12 09:35:56 snowdon kernel: Pid: 5309, comm: Xorg Tainted: G        W  (2.6.29-0.218.rc7.git2.fc11.i686.PAE #1) 200893G
Mar 12 09:35:56 snowdon kernel: EIP: 0060:[<f8153078>] EFLAGS: 00013202 CPU: 0
Mar 12 09:35:56 snowdon kernel: EIP is at radeon_read_ring_rptr+0x38/0x3c [radeon]
Mar 12 09:35:56 snowdon kernel: EAX: f30eb870 EBX: f5fe9030 ECX: f9f62000 EDX: 6b6b6b6b
Mar 12 09:35:56 snowdon kernel: ESI: 0001db6f EDI: ffffffff EBP: f24e9e40 ESP: f24e9e40
Mar 12 09:35:56 snowdon kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Mar 12 09:35:56 snowdon kernel: Process Xorg (pid: 5309, ti=f24e9000 task=f2505400 task.ti=f24e9000)
Mar 12 09:35:56 snowdon kernel: Stack:
Mar 12 09:35:56 snowdon kernel: f24e9e48 f81530a2 f24e9e58 f8153b9d f5fe9030 0001db63 f24e9e68 f8156b4a
Mar 12 09:35:56 snowdon kernel: 00000000 f5fe9030 f24e9e7c f8159cee 00000000 e0000000 ffffffff f24e9e90
Mar 12 09:35:56 snowdon kernel: f8159e96 f5fe9030 f5fe8000 f5fe9030 f24e9ea8 f815f764 f5fe9170 f5fe8000
Mar 12 09:35:56 snowdon kernel: Call Trace:
Mar 12 09:35:56 snowdon kernel: [<f81530a2>] ? radeon_get_ring_head+0x26/0x4e [radeon]
Mar 12 09:35:56 snowdon kernel: [<f8153b9d>] ? radeon_commit_ring+0x4b/0x98 [radeon]
Mar 12 09:35:56 snowdon kernel: [<f8156b4a>] ? radeon_do_cp_idle+0xf8/0x106 [radeon]
Mar 12 09:35:56 snowdon kernel: [<f8159cee>] ? radeon_apply_surface_regs+0x23/0xfe [radeon]
Mar 12 09:35:56 snowdon kernel: [<f8159e96>] ? free_surface+0xcd/0xe8 [radeon]
Mar 12 09:35:56 snowdon kernel: [<f815f764>] ? radeon_driver_lastclose+0x3a/0x4f [radeon]
Mar 12 09:35:56 snowdon kernel: [<f80ae9fc>] ? drm_lastclose+0x3b/0x24f [drm]
Mar 12 09:35:56 snowdon kernel: [<c0550e6d>] ? _raw_spin_unlock+0x74/0x78
Mar 12 09:35:56 snowdon kernel: [<f80af048>] ? drm_release+0x42c/0x45a [drm]
Mar 12 09:35:56 snowdon kernel: [<c04b4f91>] ? __fput+0xd4/0x161
Mar 12 09:35:56 snowdon kernel: [<c04b5038>] ? fput+0x1a/0x1c
Mar 12 09:35:56 snowdon kernel: [<c04b240b>] ? filp_close+0x56/0x60
Mar 12 09:35:56 snowdon kernel: [<c0439407>] ? put_files_struct+0x5d/0xa1
Mar 12 09:35:56 snowdon kernel: [<c043947e>] ? exit_files+0x33/0x37
Mar 12 09:35:56 snowdon kernel: [<c043ac85>] ? do_exit+0x1c8/0x74f
Mar 12 09:35:56 snowdon kernel: [<c044d427>] ? hrtimer_interrupt+0x161/0x175
Mar 12 09:35:56 snowdon kernel: [<c0475f36>] ? audit_syscall_entry+0x16b/0x191
Mar 12 09:35:56 snowdon kernel: [<c043b270>] ? do_group_exit+0x64/0x8b
Mar 12 09:35:56 snowdon kernel: [<c043b2af>] ? sys_exit_group+0x18/0x1c
Mar 12 09:35:56 snowdon kernel: [<c040956b>] ? sysenter_do_call+0x12/0x3f
Mar 12 09:35:56 snowdon kernel: Code: 00 00 74 0b 83 e2 fc 03 90 60 03 00 00 eb 1c f6 80 f2 02 00 00 08 8b 80 d0 00 00 00 74 07 03 50 14 8b 02 eb 08 83 e2 fc 03 50 14 <8
b> 02 5d c3 55 89 e5 0f 1f 44 00 00 83 78 54 00 74 1a 83 b8 5c 
Mar 12 09:35:56 snowdon kernel: EIP: [<f8153078>] radeon_read_ring_rptr+0x38/0x3c [radeon] SS:ESP 0068:f24e9e40
Mar 12 09:35:56 snowdon kernel: ---[ end trace de9dcf85fc431491 ]---
Mar 12 09:35:56 snowdon kernel: Fixing recursive fault but reboot is needed!


Backed off mesa to
mesa-dri-drivers-7.3-10.fc11.i586.rpm  mesa-libGL-devel-7.3-10.fc11.i586.rpm  mesa-libGLU-devel-7.3-10.fc11.i586.rpm
mesa-libGL-7.3-10.fc11.i586.rpm        mesa-libGLU-7.3-10.fc11.i586.rpm

from the 7.3-12 updates. compiz now works normally.

mesa, radeon bug (or both)?
Comment 5 Dave Airlie 2009-03-13 03:03:42 EDT
hmm looks like a mesa bug I think I have a fix I need to check it out.
Comment 6 Dave Airlie 2009-03-13 17:20:20 EDT
are you running nomodeset?

what prevents kms from working on your system?
Comment 7 Nigel Jones 2009-03-13 20:43:56 EDT
Yes, nomodeset.

I had issues a while back (before compiz was working .. during F10) where the system was more stable with nomodeset.

I can look at reenabling kms next week.
Comment 8 Nigel Jones 2009-03-16 05:17:01 EDT
Re-enabled kms with

kernel-PAE-2.6.29-0.215.rc7.fc11.i686
xorg-x11-drv-ati-6.11.0-10.fc11.i586

X using compiz was unstable -- X crashed many times.
One reproducible Scenario (the others were ad-hoc)  was boot with internal LCD+external DVI
enable large desktop using xrandr
rotate desktop cube using ctrl left/right arrow.
Observe that
 * when large desktop enabled we see text mode on screens for 1s or so (don't usually notice this)
 * only the DVI screen "rotates". The internal screen just flips
 * after a couple of attempts X will crash.

A similar scenario was using desktop expo, where the workspace shrinks into the center of the screen.

Didn't notice exact logs, but in m,y old Xorg log I see

RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:15360000 vs g:534769664 w:0 vs v:215510625

In my old kernel logs I cannot see anything of interest

No ring_rptr error though (which does look like mesa)

Reverting to having kms disabled (nomodeset on kernel boot line). Can raise a seperate defect if required on that.
Comment 9 Nigel Jones 2009-03-16 05:48:18 EDT
Ok, actually got the ring issue again, same filesets as above with nomodeset and the .10 mesa version ... I was actually using openoffice  impress at the time.

SLightly different stack, but very similar (in apply surface)

Mar 16 09:32:03 snowdon kernel: BUG: unable to handle kernel paging request at 6b6b6b6b
Mar 16 09:32:03 snowdon kernel: IP: [<f8153078>] radeon_read_ring_rptr+0x38/0x3c [radeon]
Mar 16 09:32:03 snowdon kernel: *pdpt = 000000002ee38001 *pde = 0000000000000000 
Mar 16 09:32:03 snowdon kernel: Oops: 0000 [#1] SMP 
Mar 16 09:32:03 snowdon kernel: last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/dev
ice:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/energy_full
Mar 16 09:32:03 snowdon kernel: Modules linked in: fuse tun bridge stp llc bnep sco l2cap bluetoot
h autofs4 ipv6 nf_conntrack_irc nf_conntrack_ftp iptable_nat nf_nat cpufreq_ondemand acpi_cpufreq 
dm_multipath kvm_intel kvm uinput ppdev snd_hda_codec_analog thinkpad_acpi snd_hda_intel hwmon snd
_hda_codec snd_seq_dummy snd_seq_oss arc4 ecb snd_seq_midi_event pcspkr snd_usb_audio snd_seq i2c_
i801 snd_usb_lib iwl3945 snd_pcm_oss iTCO_wdt snd_mixer_oss iTCO_vendor_support snd_rawmidi rfkill
 joydev yenta_socket snd_seq_device snd_pcm nsc_ircc rsrc_nonstatic snd_hwdep mac80211 snd_timer i
rda video e1000e parport_pc lib80211 snd parport crc_ccitt output cfg80211 soundcore snd_page_allo
c ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [last unloaded: microcode]
Mar 16 09:32:03 snowdon kernel:
Mar 16 09:32:03 snowdon kernel: Pid: 5389, comm: Xorg Tainted: G        W  (2.6.29-0.237.rc7.git4.
fc11.i686.PAE #1) 200893G
Mar 16 09:32:03 snowdon kernel: EIP: 0060:[<f8153078>] EFLAGS: 00013202 CPU: 0
Mar 16 09:32:03 snowdon kernel: EIP is at radeon_read_ring_rptr+0x38/0x3c [radeon]
Mar 16 09:32:03 snowdon kernel: EAX: f50848c0 EBX: f5d8b090 ECX: f9fe2000 EDX: 6b6b6b6b
Mar 16 09:32:03 snowdon kernel: ESI: 00001b8f EDI: ffffffff EBP: f21a7d50 ESP: f21a7d50
Mar 16 09:32:03 snowdon kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Mar 16 09:32:03 snowdon kernel: Process Xorg (pid: 5389, ti=f21a7000 task=f34e5400 task.ti=f21a700
0)
Mar 16 09:32:03 snowdon kernel: Stack:
Mar 16 09:32:03 snowdon kernel: f21a7d58 f81530a2 f21a7d68 f8153b9d f5d8b090 00001b83 f21a7d78 f81
56b4a
Mar 16 09:32:03 snowdon kernel: 00000000 f5d8b090 f21a7d8c f8159ce6 00000000 e0000000 ffffffff f21
a7da0
Mar 16 09:32:03 snowdon kernel: f8159e8e f5d8b090 f5d89030 f5d8b090 f21a7db8 f815f75c f5d8b1d0 f5d
89030
Mar 16 09:32:03 snowdon kernel: Call Trace:
Mar 16 09:32:03 snowdon kernel: [<f81530a2>] ? radeon_get_ring_head+0x26/0x4e [radeon]
Mar 16 09:32:03 snowdon kernel: [<f8153b9d>] ? radeon_commit_ring+0x4b/0x98 [radeon]
Mar 16 09:32:03 snowdon kernel: [<f8156b4a>] ? radeon_do_cp_idle+0xf8/0x106 [radeon]
Mar 16 09:32:03 snowdon kernel: [<f8159ce6>] ? radeon_apply_surface_regs+0x23/0xfe [radeon]
Mar 16 09:32:03 snowdon kernel: [<f8159e8e>] ? free_surface+0xcd/0xe8 [radeon]
Mar 16 09:32:03 snowdon kernel: [<f815f75c>] ? radeon_driver_lastclose+0x3a/0x4f [radeon]
Mar 16 09:32:03 snowdon kernel: [<f80ae9fc>] ? drm_lastclose+0x3b/0x24f [drm]
Mar 16 09:32:03 snowdon kernel: [<c0550ecd>] ? _raw_spin_unlock+0x74/0x78
Mar 16 09:32:03 snowdon kernel: [<f80af048>] ? drm_release+0x42c/0x45a [drm]
Mar 16 09:32:03 snowdon kernel: [<c04b5009>] ? __fput+0xd4/0x161
Mar 16 09:32:03 snowdon kernel: [<c04b50b0>] ? fput+0x1a/0x1c
Mar 16 09:32:03 snowdon kernel: [<c04b2483>] ? filp_close+0x56/0x60
Mar 16 09:32:03 snowdon kernel: [<c0439433>] ? put_files_struct+0x5d/0xa1
Mar 16 09:32:03 snowdon kernel: [<c04394aa>] ? exit_files+0x33/0x37
Mar 16 09:32:03 snowdon kernel: [<c043acb1>] ? do_exit+0x1c8/0x74f
Mar 16 09:32:03 snowdon kernel: [<c0443e56>] ? dequeue_signal+0xc7/0x13e
Mar 16 09:32:03 snowdon kernel: [<c043b29c>] ? do_group_exit+0x64/0x8b
Mar 16 09:32:03 snowdon kernel: [<c0444134>] ? get_signal_to_deliver+0x267/0x27e
Mar 16 09:32:03 snowdon kernel: [<c0408a12>] ? do_notify_resume+0x6e/0x60f
Mar 16 09:32:03 snowdon kernel: [<c0457d2a>] ? trace_hardirqs_on_caller+0x18/0x145
Mar 16 09:32:03 snowdon kernel: [<c0443c2c>] ? sigprocmask+0x27/0xc6
Mar 16 09:32:03 snowdon kernel: [<c0457d2a>] ? trace_hardirqs_on_caller+0x18/0x145
Mar 16 09:32:03 snowdon kernel: [<c0475f62>] ? audit_syscall_entry+0x16b/0x191
Mar 16 09:32:03 snowdon kernel: [<c0457077>] ? trace_hardirqs_off_caller+0x18/0xa3
Mar 16 09:32:03 snowdon kernel: [<c0409778>] ? work_notifysig+0x13/0x1b
Mar 16 09:32:03 snowdon kernel: Code: 00 00 74 0b 83 e2 fc 03 90 60 03 00 00 eb 1c f6 80 f2 02 00 
00 08 8b 80 d0 00 00 00 74 07 03 50 14 8b 02 eb 08 83 e2 fc 03 50 14 <8b> 02 5d c3 55 89 e5 0f 1f 
44 00 00 83 78 54 00 74 1a 83 b8 5c 
Mar 16 09:32:03 snowdon kernel: EIP: [<f8153078>] radeon_read_ring_rptr+0x38/0x3c [radeon] SS:ESP 
0068:f21a7d50
Mar 16 09:32:03 snowdon kernel: ---[ end trace eec728a66de7b8d4 ]---
Mar 16 09:32:03 snowdon kernel: Fixing recursive fault but reboot is needed!
Mar 16 09:32:14 snowdon kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
Comment 10 Nigel Jones 2009-03-23 05:51:34 EDT
Noticed newer mesa (7.5) on koji so gave it ago alongside newer kernel/ati driver. 

Whilst I can't say if the crash is gone, compiz at least now works similarly to -10

kernel-PAE-2.6.29-0.267.rc8.git4.fc11.i686
xorg-x11-drv-ati-6.12.0-2.fc11.i586
mesa-libGL-devel-7.5-0.1.fc11.i586
mesa-debuginfo-7.5-0.1.fc11.i586
mesa-libGLU-7.5-0.1.fc11.i586
mesa-dri-drivers-7.5-0.1.fc11.i586
mesa-libOSMesa-devel-7.5-0.1.fc11.i586
mesa-libOSMesa-7.5-0.1.fc11.i586
mesa-libGL-7.5-0.1.fc11.i586
mesa-demos-7.5-0.1.fc11.i586
mesa-libGLU-devel-7.5-0.1.fc11.i586
glx-utils-7.5-0.1.fc11.i586
Comment 11 Nigel Jones 2009-04-06 14:19:17 EDT
Had this problem repeatedly today when attempting to join a webconference (www.webdialogs.com) using firefox 3.1b1 & sun java 1.6

kernel-PAE-2.6.29.1-37.rc1.fc11.i686
mesa-dri-drivers-7.5-0.6.fc11.i586
mesa-libGL-7.5-0.6.fc11.i586
xorg-x11-drv-ati-6.12.1-4.fc11.i586


Apr  6 18:38:46 snowdon kernel: BUG: unable to handle kernel paging request at 6b6b6b6b
Apr  6 18:38:46 snowdon kernel: IP: [<f8156078>] radeon_read_ring_rptr+0x38/0x3c [radeon]
Apr  6 18:38:46 snowdon kernel: *pdpt = 000000002d938001 *pde = 0000000000000000 
Apr  6 18:38:46 snowdon kernel: Oops: 0000 [#1] SMP 
Apr  6 18:38:46 snowdon kernel: last sysfs file: /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
Apr  6 18:38:46 snowdon kernel: Modules linked in: aes_i586 aes_generic fuse tun rfcomm bridge stp llc bnep sco l2cap autofs4 nf_conntrack_irc nf_con
ntrack_ftp iptable_nat nf_nat ipt_LOG ip6t_LOG xt_limit ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq d
m_multipath kvm_intel kvm uinput thinkpad_acpi snd_hda_codec_analog arc4 hwmon ecb snd_hda_intel snd_hda_codec iwl3945 pcspkr snd_hwdep rfkill snd_pc
m joydev iTCO_wdt mac80211 snd_timer iTCO_vendor_support video snd yenta_socket i2c_i801 rsrc_nonstatic lib80211 output soundcore nsc_ircc btusb e100
0e bluetooth snd_page_alloc irda cfg80211 crc_ccitt radeon drm i2c_algo_bit i2c_core [last unloaded: microcode]
Apr  6 18:38:46 snowdon kernel:
Apr  6 18:38:46 snowdon kernel: Pid: 5224, comm: Xorg Not tainted (2.6.29.1-37.rc1.fc11.i686.PAE #1) 200893G
Apr  6 18:38:46 snowdon kernel: EIP: 0060:[<f8156078>] EFLAGS: 00013202 CPU: 1
Apr  6 18:38:46 snowdon kernel: EIP is at radeon_read_ring_rptr+0x38/0x3c [radeon]
Apr  6 18:38:46 snowdon kernel: EAX: f19db230 EBX: f5daf2a0 ECX: fa01a000 EDX: 6b6b6b6b
Apr  6 18:38:46 snowdon kernel: ESI: 000305ef EDI: ffffffff EBP: f21d5d4c ESP: f21d5d4c
Apr  6 18:38:46 snowdon kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Apr  6 18:38:46 snowdon kernel: Process Xorg (pid: 5224, ti=f21d4000 task=f28fd500 task.ti=f21d4000)
Apr  6 18:38:46 snowdon kernel: Stack:
Apr  6 18:38:46 snowdon kernel: f21d5d54 f81560a4 f21d5d64 f8156b13 f5daf2a0 000305e3 f21d5d74 f8159836
Apr  6 18:38:46 snowdon kernel: 00000000 f5daf2a0 f21d5d88 f815c8ee 00000000 e0000000 ffffffff f21d5d9c
Apr  6 18:38:46 snowdon kernel: f815ca7c f5daf2a0 f5cd6120 f5daf2a0 f21d5db4 f816235c f5daf3e0 f5cd6120
Apr  6 18:38:46 snowdon kernel: Call Trace:
Apr  6 18:38:46 snowdon kernel: [<f81560a4>] ? radeon_get_ring_head+0x28/0x50 [radeon]
Apr  6 18:38:46 snowdon kernel: [<f8156b13>] ? radeon_commit_ring+0x4b/0x94 [radeon]
Apr  6 18:38:46 snowdon kernel: [<f8159836>] ? radeon_do_cp_idle+0xf8/0x106 [radeon]
Apr  6 18:38:46 snowdon kernel: [<f815c8ee>] ? radeon_apply_surface_regs+0x23/0xe4 [radeon]
Apr  6 18:38:46 snowdon kernel: [<f815ca7c>] ? free_surface+0xcd/0xe8 [radeon]
Apr  6 18:38:46 snowdon kernel: [<f816235c>] ? radeon_driver_lastclose+0x3a/0x4f [radeon]
Apr  6 18:38:46 snowdon kernel: [<f80ae922>] ? drm_lastclose+0x3b/0x251 [drm]
Apr  6 18:38:46 snowdon kernel: [<c05797b5>] ? _raw_spin_unlock+0x74/0x78
Apr  6 18:38:46 snowdon kernel: [<f80aef6a>] ? drm_release+0x426/0x454 [drm]
Apr  6 18:38:46 snowdon kernel: [<c04b51ad>] ? __fput+0xd4/0x161
Apr  6 18:38:46 snowdon kernel: [<c04b5252>] ? fput+0x18/0x1a
Apr  6 18:38:46 snowdon kernel: [<c04b26b3>] ? filp_close+0x56/0x60
Apr  6 18:38:46 snowdon kernel: [<c0439fe4>] ? put_files_struct+0x5d/0xa1
Apr  6 18:38:46 snowdon kernel: [<c043a05b>] ? exit_files+0x33/0x37
Apr  6 18:38:46 snowdon kernel: [<c043b818>] ? do_exit+0x1cc/0x751
Comment 12 Edouard Bourguignon 2009-04-25 12:10:47 EDT
Same problem here:

[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
[drm] wait idle failed status : 0xFFFFFFFF 0xFFFFFFFF
BUG: unable to handle kernel NULL pointer dereference at (null)
IP: [<ffffffffa0047094>] radeon_read_ring_rptr+0x4c/0x50 [radeon]
PGD d0202067 PUD c91be067 PMD 0 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:0f.0/0000:02:00.1/local_cpus
CPU 1 
Modules linked in: fuse ipt_MASQUERADE iptable_nat nf_nat bridge stp llc bnep sco l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath kvm_amd kvm uinput snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_event snd_seq_midi_emul snd_seq snd_emu10k1 arc4 ecb snd_rawmidi rt61pci snd_ac97_codec crc_itu_t rt2x00pci ac97_bus rt2x00lib snd_pcm snd_seq_device snd_timer mac80211 snd_page_alloc snd_util_mem cfg80211 ppdev snd_hwdep snd parport_pc soundcore eeprom_93cx6 forcedeth i2c_nforce2 parport pcspkr k8temp asus_atk0110 hwmon pata_amd ata_generic pata_acpi sata_nv radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 2169, comm: Xorg Not tainted 2.6.29.1-102.fc11.x86_64 #1 System Product Name
RIP: 0010:[<ffffffffa0047094>]  [<ffffffffa0047094>] radeon_read_ring_rptr+0x4c/0x50 [radeon]
RSP: 0018:ffff88011d59da90  EFLAGS: 00010246
RAX: ffff880119e4eac0 RBX: ffff88011de74000 RCX: ffffc2000671c000
RDX: 000000000000002c RSI: 0000000000000000 RDI: ffff88011de74000
RBP: ffff88011d59da90 R08: ffff88011d59c000 R09: ffff88002803cd00
R10: 000001575adfb06e R11: 0000000000000000 R12: ffff88011d0f3000
R13: ffff88011d0f3000 R14: ffff88011de74180 R15: ffff88011d0f3160
FS:  00007f851cec97b0(0000) GS:ffff88011ea7d280(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 00000000c9198000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 2169, threadinfo ffff88011d59c000, task ffff88011d5a0000)
Stack:
 ffff88011d59daa0 ffffffffa00470c1 ffff88011d59dab8 ffffffffa0047d39
 ffff88011de74000 ffff88011d59dad8 ffffffffa0058b7e ffff88011de74180
 ffff88011de74000 ffff88011d59daf8 ffffffffa004daf4 ffff88011de74180
Call Trace:
 [<ffffffffa00470c1>] radeon_get_ring_head+0x29/0x56 [radeon]
 [<ffffffffa0047d39>] radeon_commit_ring+0x4d/0xa4 [radeon]
 [<ffffffffa0058b7e>] r600_do_cp_idle+0xd5/0xe1 [radeon]
 [<ffffffffa004daf4>] radeon_do_release+0x76/0x1c5 [radeon]
 [<ffffffffa0054db0>] radeon_driver_lastclose+0x52/0x5b [radeon]
 [<ffffffffa0012ebd>] drm_lastclose+0x4c/0x2b3 [drm]
 [<ffffffffa00135cd>] drm_release+0x49c/0x4d7 [drm]
 [<ffffffff810d8d02>] __fput+0xf9/0x1a0
 [<ffffffff810d8dc6>] fput+0x1d/0x1f
 [<ffffffff810d60d1>] filp_close+0x68/0x72
 [<ffffffff8104c6de>] put_files_struct+0x6c/0xc3
 [<ffffffff8104c777>] exit_files+0x42/0x47
 [<ffffffff8104e170>] do_exit+0x213/0x845
 [<ffffffff811bc2c9>] ? __const_udelay+0x48/0x4a
 [<ffffffffa004893c>] ? radeon_freelist_get+0xd0/0x10c [radeon]
 [<ffffffff8104e830>] do_group_exit+0x8e/0xbe
 [<ffffffff81057f5c>] get_signal_to_deliver+0x35f/0x38b
 [<ffffffff810104fa>] do_notify_resume+0x94/0x92d
 [<ffffffff813b085a>] ? unlock_kernel+0x2f/0x32
 [<ffffffff810e3b7b>] ? vfs_ioctl+0x76/0x87
 [<ffffffff810e400f>] ? do_vfs_ioctl+0x462/0x4a3
 [<ffffffff810df628>] ? path_put+0x22/0x26
 [<ffffffff81018dea>] ? restore_i387_xstate+0x74/0x172
 [<ffffffff810df628>] ? path_put+0x22/0x26
 [<ffffffff81011512>] sysret_signal+0x9b/0x109
Code: 00 00 eb 27 f6 87 66 03 00 00 08 48 8b 87 00 01 00 00 74 0a 89 f6 48 03 70 18 8b 06 eb 0f c1 ee 02 89 f6 48 c1 e6 02 48 03 70 18 <8b> 06 c9 c3 55 48 89 e5 0f 1f 44 00 00 83 7f 6c 00 74 1c 48 83 
RIP  [<ffffffffa0047094>] radeon_read_ring_rptr+0x4c/0x50 [radeon]
 RSP <ffff88011d59da90>
CR2: 0000000000000000
---[ end trace 16b73064b646f184 ]---
Fixing recursive fault but reboot is needed!
Comment 13 Nigel Jones 2009-05-14 15:05:17 EDT
Not seen this for a while. Now at
mesa-libGL-7.5-0.14.fc11.i586
libdrm-2.4.6-6.fc11.i586
xorg-x11-drv-ati-6.12.2-13.fc11.i586
kernel-PAE-2.6.29.3-142.fc11.i686


Possibly fixed

However have had a couple of complete freezes - no VT switching, clock frozen - need to capture dump with sysrq,
Comment 14 Bug Zapper 2009-06-09 07:56:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Nivag 2009-07-27 12:00:20 EDT
Created attachment 355292 [details]
messages log

I have the same problem, I think.

Additional info:
up to date Fedora 11 install
AMD 810 quad core 64 bit
8 GB DDR3 RAM
5 * 500GB in software RAID-6 configuration
ASUS M4A78T-E mother board

# uname -a
Linux saturn 2.6.29.6-213.fc11.x86_64.debug #1 SMP Tue Jul 7 20:45:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
# 

[...]
Jul 28 03:20:52 saturn kernel: [drm] wait idle failed status : 0xA0003030 0x00000003
Jul 28 03:20:52 saturn kernel: general protection fault: 0000 [#1] SMP 
Jul 28 03:20:52 saturn kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:12.0/usb3/3-2/power/connected_duration
Jul 28 03:20:52 saturn kernel: CPU 0 
Jul 28 03:20:52 saturn kernel: Modules linked in: cpufreq_ondemand cpufreq_stats fuse sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 powernow_k8 freq_table dm_multipath ata_generic pata_acpi snd_hda_codec_atihdmi snd_hda_codec_via pcspkr pata_atiixp serio_raw i2c_piix4 snd_hda_intel snd_hda_codec joydev snd_hwdep snd_pcm snd_timer snd soundcore firewire_ohci snd_page_alloc firewire_core asus_atk0110 floppy atl1e crc_itu_t shpchp hwmon wmi raid456 async_xor async_memcpy async_tx xor radeon drm i2c_algo_bit i2c_core [last unloaded: cpufreq_ondemand]
Jul 28 03:20:52 saturn kernel: Pid: 2341, comm: Xorg Not tainted 2.6.29.6-213.fc11.x86_64.debug #1 System Product Name
Jul 28 03:20:52 saturn kernel: RIP: 0010:[<ffffffffa0048094>]  [<ffffffffa0048094>] radeon_read_ring_rptr+0x4c/0x50 [radeon]
Jul 28 03:20:52 saturn kernel: RSP: 0018:ffff88020b887a80  EFLAGS: 00010202
Jul 28 03:20:52 saturn kernel: RAX: ffff880215417aa0 RBX: ffff88021c10ca88 RCX: ffffc20013a12000
Jul 28 03:20:52 saturn kernel: RDX: 000000000000002c RSI: 6b6b6b6b6b6b6b6b RDI: ffff88021c10ca88
Jul 28 03:20:52 saturn kernel: RBP: ffff88020b887a80 R08: 0000000000000000 R09: ffff88020b887b58
Jul 28 03:20:52 saturn kernel: R10: ffff88021b8e4000 R11: 0000000000000246 R12: 0000000000000010
Jul 28 03:20:52 saturn kernel: R13: ffff88021b8e4000 R14: ffff88021c10cc08 R15: ffff88021b8e4220
Jul 28 03:20:52 saturn kernel: FS:  00007f02b491a7b0(0000) GS:ffffffff819bc000(0000) knlGS:0000000009e86830
Jul 28 03:20:52 saturn kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jul 28 03:20:52 saturn kernel: CR2: 00000000016730c0 CR3: 000000016a414000 CR4: 00000000000006e0
Jul 28 03:20:52 saturn kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 28 03:20:52 saturn kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 28 03:20:52 saturn kernel: Process Xorg (pid: 2341, threadinfo ffff88020b886000, task ffff88020f87a360)
Jul 28 03:20:52 saturn kernel: Stack:
Jul 28 03:20:52 saturn kernel: ffff88020b887a90 ffffffffa00480c3 ffff88020b887aa8 ffffffffa0048c3b
Jul 28 03:20:52 saturn kernel: ffff88021c10ca88 ffff88020b887ac8 ffffffffa0059eb1 ffff88021c10ca88
Jul 28 03:20:52 saturn kernel: ffff88021b8e4000 ffff88020b887ae8 ffffffffa004e483 ffff88021c10cc08
Jul 28 03:20:52 saturn kernel: Call Trace:
Jul 28 03:20:52 saturn kernel: [<ffffffffa00480c3>] radeon_get_ring_head+0x2b/0x56 [radeon]
Jul 28 03:20:52 saturn kernel: [<ffffffffa0048c3b>] radeon_commit_ring+0x4d/0x9c [radeon]
Jul 28 03:20:52 saturn kernel: [<ffffffffa0059eb1>] r600_do_cp_idle+0xee/0xfb [radeon]
Jul 28 03:20:52 saturn kernel: [<ffffffffa004e483>] radeon_do_release+0x76/0x1bf [radeon]
Jul 28 03:20:52 saturn kernel: [<ffffffffa0055da5>] radeon_driver_lastclose+0x52/0x5b [radeon]
Jul 28 03:20:52 saturn kernel: [<ffffffffa0012f6d>] drm_lastclose+0x4c/0x2b7 [drm]
Jul 28 03:20:52 saturn kernel: [<ffffffffa00136be>] drm_release+0x4d9/0x513 [drm]
Jul 28 03:20:52 saturn kernel: [<ffffffff810e26f3>] __fput+0xf9/0x1a3
Jul 28 03:20:52 saturn kernel: [<ffffffff810e27b7>] fput+0x1a/0x1c
Jul 28 03:20:52 saturn kernel: [<ffffffff810df923>] filp_close+0x68/0x72
Jul 28 03:20:52 saturn kernel: [<ffffffff8104c80f>] put_files_struct+0x6c/0xc3
Jul 28 03:20:52 saturn kernel: [<ffffffff8104c8a1>] exit_files+0x3b/0x40
Jul 28 03:20:52 saturn kernel: [<ffffffff8104e240>] do_exit+0x213/0x79d
Jul 28 03:20:52 saturn kernel: [<ffffffff81017051>] ? sched_clock+0x9/0xc
Jul 28 03:20:52 saturn kernel: [<ffffffff813cd061>] ? _spin_unlock_irq+0x30/0x3d
Jul 28 03:20:52 saturn kernel: [<ffffffff8104e84e>] do_group_exit+0x84/0xb4
Jul 28 03:20:52 saturn kernel: [<ffffffff810582bc>] get_signal_to_deliver+0x391/0x3af
Jul 28 03:20:52 saturn kernel: [<ffffffff8106dc4f>] ? mark_lock+0x28/0x37f
Jul 28 03:20:52 saturn kernel: [<ffffffff81010471>] do_notify_resume+0x94/0x91c
Jul 28 03:20:52 saturn kernel: [<ffffffff810177f6>] ? native_sched_clock+0x2d/0x5b
Jul 28 03:20:52 saturn kernel: [<ffffffff81017051>] ? sched_clock+0x9/0xc
Jul 28 03:20:52 saturn kernel: [<ffffffff8106c76b>] ? lock_release_holdtime+0x2c/0x11d
Jul 28 03:20:52 saturn kernel: [<ffffffff813cd061>] ? _spin_unlock_irq+0x30/0x3d
Jul 28 03:20:52 saturn kernel: [<ffffffff8106e200>] ? trace_hardirqs_on_caller+0x12f/0x153
Jul 28 03:20:52 saturn kernel: [<ffffffff8106e231>] ? trace_hardirqs_on+0xd/0xf
Jul 28 03:20:52 saturn kernel: [<ffffffff813cd061>] ? _spin_unlock_irq+0x30/0x3d
Jul 28 03:20:52 saturn kernel: [<ffffffff813cae68>] ? thread_return+0x3d/0xcf
Jul 28 03:20:52 saturn kernel: [<ffffffff81011401>] ? sysret_signal+0x5/0x109
Jul 28 03:20:52 saturn kernel: [<ffffffff8106e200>] ? trace_hardirqs_on_caller+0x12f/0x153
Jul 28 03:20:52 saturn kernel: [<ffffffff81011497>] sysret_signal+0x9b/0x109
Jul 28 03:20:52 saturn kernel: Code: 00 00 eb 27 f6 87 9e 03 00 00 08 48 8b 87 00 01 00 00 74 0a 89 f6 48 03 70 18 8b 06 eb 0f c1 ee 02 89 f6 48 c1 e6 02 48 03 70 18 <8b> 06 c9 c3 55 48 89 e5 0f 1f 44 00 00 83 7f 6c 00 74 1e 48 83 
Jul 28 03:20:52 saturn kernel: RIP  [<ffffffffa0048094>] radeon_read_ring_rptr+0x4c/0x50 [radeon]
Jul 28 03:20:52 saturn kernel: RSP <ffff88020b887a80>
Jul 28 03:20:52 saturn kernel: ---[ end trace 6f72da79dc4aacd1 ]---
Jul 28 03:20:52 saturn kernel: Fixing recursive fault but reboot is needed!
[...]
Comment 16 Nivag 2009-07-27 12:04:19 EDT
Created attachment 355294 [details]
Xorg.0.log
Comment 17 Nivag 2009-07-27 12:29:14 EDT
hmm...

I forgot to say that I had tried to kill xorg via top, and that triggered the call trace.

A few minutes into the next boot I got the same problem, and rebooted... and hit the same problem yet again... this time I captured the first few lines of the top output:

top - 04:26:05 up 4 min,  3 users,  load average: 5.54, 2.54, 0.98
Tasks: 176 total,   7 running, 169 sleeping,   0 stopped,   0 zombie
Cpu0  :  1.8%us, 35.8%sy,  0.0%ni, 61.8%id,  0.5%wa,  0.0%hi,  0.0%si,  0.0%st
Cpu1  :  2.8%us, 38.5%sy,  0.0%ni, 57.5%id,  1.1%wa,  0.0%hi,  0.1%si,  0.0%st
Cpu2  :  1.3%us, 34.3%sy,  0.0%ni, 49.5%id, 14.9%wa,  0.0%hi,  0.0%si,  0.0%st
Cpu3  :  2.0%us, 41.1%sy,  0.0%ni, 55.1%id,  1.6%wa,  0.0%hi,  0.2%si,  0.0%st
Mem:   7746412k total,   639896k used,  7106516k free,    35264k buffers
Swap: 11059000k total,        0k used, 11059000k free,   172808k cached

 PPID   PID USER      PR  NI  VIRT SWAP  RES %MEM S %CPU P    TIME+  COMMAND        
 2392  2393 root      20   0  416m 394m  21m  0.3 R 91.2 0   2:13.72 Xorg           
 1778  1918 root      20   0 19880  18m 1132  0.0 R 86.3 3   1:35.01 hald-addon-stor
 2705  2710 root      20   0 46352  44m  772  0.0 R 60.2 1   0:55.86 devkit-disks-da
    1  2634 gavin     20   0  121m 114m 7172  0.1 S  0.0 0   0:21.04 gconfd-2       
    1  2705 root      20   0 48320  42m 4904  0.1 S  0.0 1   0:06.23 devkit-disks-da
    0     1 root      20   0  4076 3188  888  0.0 S  0.0 3   0:03.42 init           
 2897  2901 root      20   0 94160  90m 1892  0.0 S  0.0 3   0:03.42 bash
Comment 18 Nivag 2009-07-27 12:37:25 EDT
Created attachment 355296 [details]
messages log

previously 
    shutdown -r
now brought things back...

This time I had to switch the machine off & on again!
Comment 19 Nivag 2009-07-27 16:47:40 EDT
Bug 510482
may be related to this bug, as it mentions:
    "[drm] wait idle failed status"
and
    "radeon_read_ring_rptr"

a fuller messages log is attached to the other bug.

[...]
Jul  8 09:46:22 saturn kernel: [drm] wait idle failed status : 0xA0003030 0x00000003
Jul  8 09:46:22 saturn kernel: BUG: unable to handle kernel paging request at 00000001000004d8
Jul  8 09:46:22 saturn kernel: IP: [<ffffffffa0047094>] radeon_read_ring_rptr+0x4c/0x50 [radeon]
Jul  8 09:46:22 saturn kernel: PGD 20b574067 PUD 0 
Jul  8 09:46:22 saturn kernel: Oops: 0000 [#1] SMP 
Jul  8 09:46:22 saturn kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:07.0/0000:03:00.0/local_cpus
Jul  8 09:46:22 saturn kernel: CPU 3 
Jul  8 09:46:22 saturn kernel: Modules linked in: fuse sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath uinput snd_hda_codec_atihdmi ata_generic snd_hda_codec_via pata_acpi snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer firewire_ohci snd firewire_core serio_raw pcspkr i2c_piix4 joydev pata_atiixp atl1e asus_atk0110 soundcore shpchp wmi crc_itu_t hwmon snd_page_alloc raid456 async_xor async_memcpy async_tx xor radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Jul  8 09:46:22 saturn kernel: Pid: 2117, comm: Xorg Not tainted 2.6.29.5-191.fc11.x86_64 #1 System Product Name
Jul  8 09:46:22 saturn kernel: RIP: 0010:[<ffffffffa0047094>]  [<ffffffffa0047094>] radeon_read_ring_rptr+0x4c/0x50 [radeon]
[...]
Comment 20 Nivag 2009-07-27 17:19:13 EDT
This problem may not occur for several days - then like yesterday, it might occur 3 or more times in the space of a couple of hours.

Please upgrade the priority of the bug from "Low' to 'High' - as this is a major show stopper for me.  It happens on my new development box.  I work from home and simply don't have the cash to get professional support.  Fortunately, I can still use my existing box.

I am happy to run experimental versions of the driver to facilitate bug fixing, or to provide any other additional diagnostics that might prove useful.
Comment 21 Nivag 2009-07-27 17:41:51 EDT
*** Bug 510477 has been marked as a duplicate of this bug. ***
Comment 22 Nivag 2009-07-27 17:52:33 EDT
My ASUS M4A78T-E mother board uses the Integrated Radeon HD 3300 chipset.
Comment 23 Nivag 2009-08-07 19:00:34 EDT
 see bug 504427 Comment #7 ... #10

No further problems of this type sinece disabling SidePort and switching to UMA in the BIOS.
Comment 24 Nivag 2009-08-07 19:30:30 EDT
I don't think I need more info on this bug now.  

Hopefully I have reset the flags accordingly!
Comment 25 Georg Wild 2009-09-29 06:21:37 EDT
I think I suffer from this fault frequently,too, on my amd x86_64.

Extraction from messages:
Sep 29 11:40:15 localhost kernel: general protection fault: 0000 [#1] SMP 
Sep 29 11:40:15 localhost kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:12.0/host0/target0:0:0/0:0:0:0/block/sda/sda1/stat
Sep 29 11:40:15 localhost kernel: CPU 1 
Sep 29 11:40:15 localhost kernel: Modules linked in: fuse radeon ttm drm_kms_helper drm i2c_algo_bit ipt_MASQUERADE iptable_nat nf_nat bridge stp llc vboxnetadp vboxnetflt vboxdrv sunrpc xt_physdev ip6t_REJECT
 nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath kvm_amd kvm uinput snd_hda_codec_si3054 arc4 ecb snd_hda_codec_realtek snd_hda_intel uvcvideo snd_hda_cod
ec snd_hwdep videodev v4l1_compat sdhci_pci v4l2_compat_ioctl32 ath9k firewire_ohci amd64_edac_mod sdhci snd_pcm firewire_core k8temp snd_timer joydev serio_raw i2c_piix4 mmc_core ricoh_mmc mac80211 snd crc_it
u_t edac_core hwmon i2c_core ath soundcore snd_page_alloc cfg80211 r8169 asus_laptop rfkill mii sha256_generic cryptd aes_x86_64 aes_generic cbc dm_crypt ata_generic pata_acpi pata_atiixp video output [last unloaded: scsi_wait_scan]
Sep 29 11:40:15 localhost kernel: Pid: 1646, comm: Xorg Not tainted 2.6.31.1-48.fc12.x86_64 #1 F3Ka               
Sep 29 11:40:15 localhost kernel: RIP: 0010:[<ffffffffa064c1ef>]  [<ffffffffa064c1ef>] radeon_read_ring_rptr+0x43/0x5b [radeon]
Sep 29 11:40:15 localhost kernel: RSP: 0018:ffff88006b971a18  EFLAGS: 00010202
Sep 29 11:40:15 localhost kernel: RAX: ffff88006f07b660 RBX: ffff88007a808848 RCX: ffffc90012aeb000
Sep 29 11:40:15 localhost kernel: RDX: 000000000000002c RSI: 6b6b6b6b6b6b6b6b RDI: ffff88007a808848
Sep 29 11:40:15 localhost kernel: RBP: ffff88006b971a28 R08: ffff88006b988870 R09: 0000000000000000
Sep 29 11:40:15 localhost kernel: R10: ffffffff81e4c4e0 R11: 0000000000000000 R12: 0000000000000010
Sep 29 11:40:15 localhost kernel: R13: ffff8800379ce1b0 R14: ffff88007a8089c8 R15: ffff8800379ce3a0
Sep 29 11:40:15 localhost kernel: FS:  00007f199b2b37c0(0000) GS:ffff88000286e000(0000) knlGS:00000000f7edb700
Sep 29 11:40:15 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 29 11:40:15 localhost kernel: CR2: 00000039416a7740 CR3: 00000000668c8000 CR4: 00000000000006e0
Sep 29 11:40:15 localhost kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep 29 11:40:15 localhost kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep 29 11:40:15 localhost kernel: Process Xorg (pid: 1646, threadinfo ffff88006b970000, task ffff88006b988000)
Sep 29 11:40:15 localhost kernel: Stack:
Sep 29 11:40:15 localhost kernel: ffff88006b971aa8 00000000b03e73da ffff88006b971a48 ffffffffa064c230
Sep 29 11:40:15 localhost kernel: <0> ffff88006b988000 00000000b03e73da ffff88006b971a78 ffffffffa064cb2d
Sep 29 11:40:15 localhost kernel: <0> ffff88006b988870 00000000b03e73da ffffffff00000008 ffff88007a808848
Sep 29 11:40:15 localhost kernel: Call Trace:
Sep 29 11:40:15 localhost kernel: [<ffffffffa064c230>] radeon_get_ring_head+0x29/0x68 [radeon]
Sep 29 11:40:15 localhost kernel: [<ffffffffa064cb2d>] radeon_commit_ring+0x60/0xc7 [radeon]
Sep 29 11:40:15 localhost kernel: [<ffffffffa065cea4>] r600_do_cp_idle+0x106/0x129 [radeon]
Sep 29 11:40:15 localhost kernel: [<ffffffffa064f926>] radeon_do_release+0x76/0x1d8 [radeon]
Sep 29 11:40:15 localhost kernel: [<ffffffffa0656d98>] radeon_driver_lastclose+0x65/0x86 [radeon]
Sep 29 11:40:15 localhost kernel: [<ffffffffa061f684>] drm_lastclose+0x5c/0x2c4 [drm]
Sep 29 11:40:15 localhost kernel: [<ffffffffa0620187>] drm_release+0x4e5/0x535 [drm]
Sep 29 11:40:15 localhost kernel: [<ffffffff81143f35>] __fput+0x137/0x200
Sep 29 11:40:15 localhost kernel: [<ffffffff8114402b>] fput+0x2d/0x43
Sep 29 11:40:15 localhost kernel: [<ffffffff81140210>] filp_close+0x77/0x97
Sep 29 11:40:15 localhost kernel: [<ffffffff810668e4>] put_files_struct+0x79/0xde
Sep 29 11:40:15 localhost kernel: [<ffffffff81066997>] exit_files+0x4e/0x69
Sep 29 11:40:15 localhost kernel: [<ffffffff81068454>] do_exit+0x222/0x768
Sep 29 11:40:15 localhost kernel: [<ffffffff81068a2d>] do_group_exit+0x93/0xc3
Sep 29 11:40:15 localhost kernel: [<ffffffff81076d1a>] get_signal_to_deliver+0x36f/0x3a1
Sep 29 11:40:15 localhost kernel: [<ffffffff81011324>] do_notify_resume+0x98/0x769
Sep 29 11:40:15 localhost kernel: [<ffffffff81074b5a>] ? do_send_specific+0xc1/0xe5
Sep 29 11:40:15 localhost kernel: [<ffffffff81011f7a>] ? sysret_check+0x2e/0x69
Sep 29 11:40:15 localhost kernel: [<ffffffff81096136>] ? trace_hardirqs_on_caller+0x139/0x175
Sep 29 11:40:15 localhost kernel: [<ffffffff81505e06>] ? trace_hardirqs_on_thunk+0x3a/0x3f
Sep 29 11:40:15 localhost kernel: [<ffffffff81096136>] ? trace_hardirqs_on_caller+0x139/0x175
Sep 29 11:40:15 localhost kernel: [<ffffffff81012057>] sysret_signal+0x83/0xd9
Sep 29 11:40:15 localhost kernel: Code: 45 f8 31 c0 f6 87 0e 04 00 00 08 48 8b 87 10 01 00 00 74 0a 89 f6 48 03 70 18 8b 06 eb 0f c1 ee 02 89 f6 48 c1 e6 02 48 03 70 18 <8b> 06 48 8b 55 f8 65 48 33 14 25 28 00 00 00 74 05 e8 f8 80 a1 
Sep 29 11:40:15 localhost kernel: RIP  [<ffffffffa064c1ef>] radeon_read_ring_rptr+0x43/0x5b [radeon]
Sep 29 11:40:15 localhost kernel: RSP <ffff88006b971a18>
Sep 29 11:40:15 localhost kernel: ---[ end trace 8c75fc89c2cc7e77 ]---
Sep 29 11:40:15 localhost kernel: Fixing recursive fault but reboot is needed!
Comment 26 Jérôme Glisse 2009-10-14 06:50:29 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 28 Jérôme Glisse 2009-10-16 07:19:26 EDT
No it's different bug, can the report of this bug please check if fedora 12 fix the issue or not.
Comment 29 Matěj Cepl 2009-11-05 13:22:35 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 30 Nigel Jones 2009-11-18 04:54:47 EST
This problem no longer occurs with F12 gold and may be closed. Thanks.
Comment 31 Matěj Cepl 2009-11-18 08:26:57 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.